From cda3050c92f2d3c311f29cf0b700f91d7b081c44 Mon Sep 17 00:00:00 2001
From: Ryan Brue <ryanbrue@gmail.com>
Date: Jul 26 2024 21:48:44 +0000
Subject: fix: don't desktop-file-validate pre-fedora 41


Signed-off-by: Ryan Brue <ryanbrue@gmail.com>

---

diff --git a/rpms/cosmic-app-library/cosmic-app-library.spec b/rpms/cosmic-app-library/cosmic-app-library.spec
index 2aa8aa6..fd89068 100644
--- a/rpms/cosmic-app-library/cosmic-app-library.spec
+++ b/rpms/cosmic-app-library/cosmic-app-library.spec
@@ -100,8 +100,11 @@ just rootdir=%{buildroot} prefix=%{_prefix} install
 export VERGEN_GIT_COMMIT_DATE="date --utc '%{commitdatestring}'"
 export VERGEN_GIT_SHA="%{commit}"
 %cargo_test
+# COSMIC is not a valid category pre-fedora 41
+%if %{fedora} > 40
 desktop-file-validate %{buildroot}%{_datadir}/applications/com.system76.CosmicAppLibrary.desktop
 %endif
+%endif
 
 %files
 %license LICENSE.md
diff --git a/rpms/cosmic-applets/cosmic-applets.spec b/rpms/cosmic-applets/cosmic-applets.spec
index 5587a9b..eb9e2cd 100644
--- a/rpms/cosmic-applets/cosmic-applets.spec
+++ b/rpms/cosmic-applets/cosmic-applets.spec
@@ -109,6 +109,8 @@ just rootdir=%{buildroot} prefix=%{_prefix} install
 export VERGEN_GIT_COMMIT_DATE="date --utc '%{commitdatestring}'"
 export VERGEN_GIT_SHA="%{commit}"
 %cargo_test
+# COSMIC is not a valid category pre-fedora 41
+%if %{fedora} > 40
 desktop-file-validate %{buildroot}%{_datadir}/applications/com.system76.CosmicAppList.desktop
 desktop-file-validate %{buildroot}%{_datadir}/applications/com.system76.CosmicAppletAudio.desktop
 desktop-file-validate %{buildroot}%{_datadir}/applications/com.system76.CosmicAppletBattery.desktop
@@ -126,6 +128,7 @@ desktop-file-validate %{buildroot}%{_datadir}/applications/com.system76.CosmicPa
 desktop-file-validate %{buildroot}%{_datadir}/applications/com.system76.CosmicPanelWorkspacesButton.desktop
 desktop-file-validate %{buildroot}%{_datadir}/applications/com.system76.CosmicPanelLauncherButton.desktop
 %endif
+%endif
 
 %files
 %license LICENSE
diff --git a/rpms/cosmic-bg/cosmic-bg.spec b/rpms/cosmic-bg/cosmic-bg.spec
index dd74cb5..bb50d0e 100644
--- a/rpms/cosmic-bg/cosmic-bg.spec
+++ b/rpms/cosmic-bg/cosmic-bg.spec
@@ -93,8 +93,11 @@ just rootdir=%{buildroot} prefix=%{_prefix} install
 export VERGEN_GIT_COMMIT_DATE="date --utc '%{commitdatestring}'"
 export VERGEN_GIT_SHA="%{commit}"
 %cargo_test
+# COSMIC is not a valid category pre-fedora 41
+%if %{fedora} > 40
 desktop-file-validate %{buildroot}%{_datadir}/applications/com.system76.CosmicBackground.desktop
 %endif
+%endif
 
 %files
 %license LICENSE.md
diff --git a/rpms/cosmic-edit/cosmic-edit.spec b/rpms/cosmic-edit/cosmic-edit.spec
index f9975b0..dd5d136 100644
--- a/rpms/cosmic-edit/cosmic-edit.spec
+++ b/rpms/cosmic-edit/cosmic-edit.spec
@@ -103,8 +103,11 @@ just rootdir=%{buildroot} prefix=%{_prefix} install
 export VERGEN_GIT_COMMIT_DATE="date --utc '%{commitdatestring}'"
 export VERGEN_GIT_SHA="%{commit}"
 %cargo_test
+# COSMIC is not a valid category pre-fedora 41
+%if %{fedora} > 40
 desktop-file-validate %{buildroot}%{_datadir}/applications/com.system76.CosmicEdit.desktop
 %endif
+%endif
 
 %files
 %license LICENSE
diff --git a/rpms/cosmic-files/cosmic-files.spec b/rpms/cosmic-files/cosmic-files.spec
index 4c60a56..01abc0b 100644
--- a/rpms/cosmic-files/cosmic-files.spec
+++ b/rpms/cosmic-files/cosmic-files.spec
@@ -105,8 +105,11 @@ just rootdir=%{buildroot} prefix=%{_prefix} install
 export VERGEN_GIT_COMMIT_DATE="date --utc '%{commitdatestring}'"
 export VERGEN_GIT_SHA="%{commit}"
 %cargo_test
+# COSMIC is not a valid category pre-fedora 41
+%if %{fedora} > 40
 desktop-file-validate %{buildroot}%{_datadir}/applications/com.system76.CosmicFiles.desktop
 %endif
+%endif
 
 %files
 %license LICENSE
diff --git a/rpms/cosmic-launcher/cosmic-launcher.spec b/rpms/cosmic-launcher/cosmic-launcher.spec
index 764f3ae..aa6f699 100644
--- a/rpms/cosmic-launcher/cosmic-launcher.spec
+++ b/rpms/cosmic-launcher/cosmic-launcher.spec
@@ -105,8 +105,11 @@ just rootdir=%{buildroot} prefix=%{_prefix} install
 export VERGEN_GIT_COMMIT_DATE="date --utc '%{commitdatestring}'"
 export VERGEN_GIT_SHA="%{commit}"
 %cargo_test
+# COSMIC is not a valid category pre-fedora 41
+%if %{fedora} > 40
 desktop-file-validate %{buildroot}%{_datadir}/applications/com.system76.CosmicLauncher.desktop
 %endif
+%endif
 
 %files
 %license LICENSE.md
diff --git a/rpms/cosmic-notifications/cosmic-notifications.spec b/rpms/cosmic-notifications/cosmic-notifications.spec
index 21ba8d9..9ef0f19 100644
--- a/rpms/cosmic-notifications/cosmic-notifications.spec
+++ b/rpms/cosmic-notifications/cosmic-notifications.spec
@@ -100,8 +100,11 @@ just rootdir=%{buildroot} prefix=%{_prefix} install
 export VERGEN_GIT_COMMIT_DATE="date --utc '%{commitdatestring}'"
 export VERGEN_GIT_SHA="%{commit}"
 %cargo_test
+# COSMIC is not a valid category pre-fedora 41
+%if %{fedora} > 40
 desktop-file-validate %{buildroot}%{_datadir}/applications/com.system76.CosmicNotifications.desktop
 %endif
+%endif
 
 %files
 %license LICENSE.md
diff --git a/rpms/cosmic-screenshot/cosmic-screenshot.spec b/rpms/cosmic-screenshot/cosmic-screenshot.spec
index 9465d6d..7f602c9 100644
--- a/rpms/cosmic-screenshot/cosmic-screenshot.spec
+++ b/rpms/cosmic-screenshot/cosmic-screenshot.spec
@@ -88,8 +88,11 @@ just rootdir=%{buildroot} prefix=%{_prefix} install
 export VERGEN_GIT_COMMIT_DATE="date --utc '%{commitdatestring}'"
 export VERGEN_GIT_SHA="%{commit}"
 %cargo_test
+# COSMIC is not a valid category pre-fedora 41
+%if %{fedora} > 40
 desktop-file-validate %{buildroot}%{_datadir}/applications/com.system76.CosmicScreenshot.desktop
 %endif
+%endif
 
 %files
 %license LICENSE
diff --git a/rpms/cosmic-settings/cosmic-settings.spec b/rpms/cosmic-settings/cosmic-settings.spec
index 6f0663d..2f3fd9f 100644
--- a/rpms/cosmic-settings/cosmic-settings.spec
+++ b/rpms/cosmic-settings/cosmic-settings.spec
@@ -106,8 +106,11 @@ just rootdir=%{buildroot} install
 export VERGEN_GIT_COMMIT_DATE="date --utc '%{commitdatestring}'"
 export VERGEN_GIT_SHA="%{commit}"
 %cargo_test
+# COSMIC is not a valid category pre-fedora 41
+%if %{fedora} > 40
 desktop-file-validate %{buildroot}%{_datadir}/applications/com.system76.CosmicSettings.desktop
 %endif
+%endif
 
 %files
 %license LICENSE.md
diff --git a/rpms/cosmic-store/cosmic-store.spec b/rpms/cosmic-store/cosmic-store.spec
index 7dd3f21..2fe48fb 100644
--- a/rpms/cosmic-store/cosmic-store.spec
+++ b/rpms/cosmic-store/cosmic-store.spec
@@ -105,8 +105,11 @@ just rootdir=%{buildroot} prefix=%{_prefix} install
 export VERGEN_GIT_COMMIT_DATE="date --utc '%{commitdatestring}'"
 export VERGEN_GIT_SHA="%{commit}"
 %cargo_test
+# COSMIC is not a valid category pre-fedora 41
+%if %{fedora} > 40
 desktop-file-validate %{buildroot}%{_datadir}/applications/com.system76.CosmicStore.desktop
 %endif
+%endif
 
 %files
 %license LICENSE
diff --git a/rpms/cosmic-term/cosmic-term.spec b/rpms/cosmic-term/cosmic-term.spec
index f8ab84c..1bc71e7 100644
--- a/rpms/cosmic-term/cosmic-term.spec
+++ b/rpms/cosmic-term/cosmic-term.spec
@@ -102,8 +102,11 @@ just rootdir=%{buildroot} prefix=%{_prefix} install
 export VERGEN_GIT_COMMIT_DATE="date --utc '%{commitdatestring}'"
 export VERGEN_GIT_SHA="%{commit}"
 %cargo_test
+# COSMIC is not a valid category pre-fedora 41
+%if %{fedora} > 40
 desktop-file-validate %{buildroot}%{_datadir}/applications/com.system76.CosmicTerm.desktop
 %endif
+%endif
 
 %files
 %license LICENSE
diff --git a/rpms/cosmic-workspaces/cosmic-workspaces.spec b/rpms/cosmic-workspaces/cosmic-workspaces.spec
index 4cc573c..7d405ed 100644
--- a/rpms/cosmic-workspaces/cosmic-workspaces.spec
+++ b/rpms/cosmic-workspaces/cosmic-workspaces.spec
@@ -108,8 +108,11 @@ make install DESTDIR=%{buildroot} prefix=%{_prefix}
 export VERGEN_GIT_COMMIT_DATE="date --utc '%{commitdatestring}'"
 export VERGEN_GIT_SHA="%{commit}"
 %cargo_test
+# COSMIC is not a valid category pre-fedora 41
+%if %{fedora} > 40
 desktop-file-validate %{buildroot}%{_datadir}/applications/com.system76.CosmicWorkspaces.desktop
 %endif
+%endif
 
 %files
 %license LICENSE

